Overview

Crypt Edit is a powerful freeware word processor, which can easily create, protect, modify, post and print your documents. It is a nice replacement for the standard Windows NotePad and WordPad (and even Microsoft Word in some cases).

Crypt Edit has a lot of very interesting features:

  • Enhanced cryptography features (RC4, MD5), including encryption of binary files. Easy to use
  • Full OLE Objects support
  • Multiple documents in one instance of the program
  • Several configurable toolbars
  • Spell Checking (MS Office Compatible)
  • Multi-Language Interface
  • Html/Unix/Mac export
  • Templates and bookmarks
  • Integrated e-mail client with an address book
  • Built-in Character Map
  • Autoformat tool
  • Advanced editing
  • Fast start and small program size
  • Microsoft Word Compatible (Export/Import/Ole Automation)
  • Icon on the System Tray
  • Various converters (ROT-13, KOI-8 etc.)
  • Drag'n'Drop Interface
  • OEM/ANSI Codepage
  • Unlimited file size
  • Y2K Compliant
  • Zoom In/Out
  • Lines sorting operations
  • Clipboard Viewer
  • Print Preview
  • Find in Files
  • HTML Highlighting
  • Microsoft Mouse Wheel Compatible
  • Plug-ins support
  • Several numbering and underline styles
  • Easy Installation/Uninstallation

...and much more!!!


License

PolySoft Crypt Edit is Copyright (C) 1998-2000, by Ulyanov Ilya Andreevich. All rights reserved.

Anything not explicitely allowed below, is prohibited.

This software is provided "as is". In no event shall I, the author, be liable for any consequential, special, incidental or indirect damages of any kind arising out of the delivery, performance or use of this software. This software has been written with great care but I do not warrant that the software is error free.

You may not attempt to reverse compile, modify, translate or disassemble the software in whole or in part.

You may freely distribute Crypt Edit, provided that all the files are included and are unmodified and that no files have been added to the package. Please distribute it by copying the original zip file. You may not ask any money for the distribution.

If you want to put this component on a freeware/shareware CD-ROM or other compilation, please contact me before doing so, to be sure that you are not including old or incomplete stuff in the compilation.


System Requirements

  • Intel 486 DX (P100 or higher recommended)
  • Memory: 8MB of RAM (16MB or more recommended)
  • Microsoft Windows 95 OSR2, 98, 2000 or NT 4.0 with Service Pack 3 or later

No additional DLL's or whatever are required.


What's New?

CHANGES BETWEEN 4.0 and 4.1:

  • Added buttons: "Zoom Actual Size", "Execute"
  • More hotkeys
  • Improved Print Preview
  • Improved Spell Checking
  • Improved "Properties"
  • Improved "Date and Time"
  • Improved HTML Export
  • Windows ME Compliant
  • Optimized some features
  • Lots of bugfixes

CHANGES BETWEEN 3.20 SR-2 and 4.00:

  • Crypt Edit is now nag-free donationware
  • Configurable toolbars
  • Multiprocessing support
  • Tab stops setting
  • Hand Tool
  • Bookmarks
  • More hotkeys
  • Find in Files
  • Improved Print Preview
  • Improved Installer
  • Paragraphs Joining
  • Added Lines <-> Paragraph converting
  • More converters. Converters Pack 1.2 is required.
  • Improved plug-in architecture
  • Improved cryptography: RC4, MD5 algorithms
  • Countless other improvements, refinements and bugfixes

CHANGES BETWEEN 3.20 SR-1 and 3.20 SR-2:

  • Multi-Language interface
  • Added Russian Interface
  • Fixed a russian codepage bug
  • Improved Installer (Windows 2000 Compliant)
  • Some cosmetic improvements

CHANGES BETWEEN 3.18 and 3.20 SR-1:

  • Added optional MAPI Support (instead of built-in SMTP)
  • Improved toolbars
  • Crypt Edit now reads files in use by another program
  • More options
  • Improved Clipboard Viewer
  • Other refinements

CHANGES BETWEEN 3.15 and 3.18:

  • Html-compatible spell checking
  • More Converters (MS Word 97, MS Excel). Converters Pack is required
  • Templates support
  • More options (prompt for charset, default font color etc.)
  • Some internal fixes

CHANGES BETWEEN 3.12 and 3.15:

  • Fixed a bug in Print Preview
  • Improved Address Book and Mail (several recipients)
  • Better Lines Sorting
  • Improved Installer
  • Other improvements and fixes

CHANGES BETWEEN 3.0 and 3.12:

  • Lines sorting operations
  • Zoom In/Out
  • Fully justified text
  • More hot keys
  • More underline types (dotted, wave...)
  • More paragraph numbering styles (Arabic numbers, letters...)
  • Lots of cosmetic improvements and bugfixes

CHANGES BETWEEN 2.9 and 3.0:

  • Help file is available now!
  • HTML Highlighting
  • Plug-ins support
  • Address Book import tool
  • More options
  • Some internal enhancements and fixes

CHANGES BETWEEN 2.61 and 2.9:

  • "Replace All" and "Skip All" items have been added to the editor's SpellChecker (right-click on the buttons)
  • Editor's ruler has been improved
  • Macintosh format export (CR only)
  • Unix format export (LF only)
  • Windows Explorer context menu integration
  • Checking for the previous instance of Crypt Edit
  • Lots more internal enhancements and fixes
See Overview for the full list of features and tools in Crypt Edit.


Using Crypt Edit

It is very easy to use Crypt Edit, isn't it? The status bar at the bottom of the main window displays the information about the menu item, which is currently selected. For example, if you select "Clear HTML", the status bar will contain "Delete all HTML tags".

See Overview for the list of features and tools in Crypt Edit.


Keyboard Shortcuts

File Management

Ctrl+N | Create a new file
Ctrl+O | Open an existing file
Ctrl+S | Save current file
Ctrl+F4 | Close current file
Ctrl+T | Display the document's properties
Ctrl+P | Print current document
Ctrl+F6 | Next document
Alt+X | Exit the application

Cursor Movement

Left | Move the cursor left one character
Right | Move the cursor right one character
Ctrl+Left | Move the cursor left one word
Ctrl+Right | Move the cursor right one word
Up | Move the cursor up one line
Down | Move the cursor down one line
Ctrl+Up | Move the cursor up one paragraph
Ctrl+Down | Move the cursor down one paragraph
Home | Move the cursor to the start of a line
End | Move the cursor to the end of a line
Ctrl+Home | Move the cursor to the top of the document
Ctrl+End | Move the cursor to the bottom of the document
Page Up | Move the cursor up one screen
Page Down | Move the cursor down one screen

Editing

Ctrl+Z | Undo the last action
Shift+Ctrl+Z | Redo the last action
Insert | Toggle Insert/Overwrite mode
Ctrl+X | Cut the selection
Ctrl+C | Copy the selection
Ctrl+V | Insert contents of the Clipboard
Ctrl+Del | Clear the selection
Ctrl+A | Select the entire document
Alt+Enter | Object properties
Ctrl+F | Find the specified text
F3 | Repeat the last find
Ctrl+R | Replace specific text with different text
Ctrl+G | Goto the specified line
Ctrl+B | Bold style
Ctrl+I | Italic style
Ctrl+U | Underline style
Shift+Ctrl+L | Numbering style
Ctrl+] | Increase indentation
Ctrl+[ | Decrease indentation
Shift+Ctrl+> | Increase font size
Shift+Ctrl+< | Decrease font size
Alt+U | Convert to uppercase
Alt+L | Convert to lowercase
Shift+Ctrl+U | Join selected paragraphs
Ctrl+1 | Set single line spacing
Ctrl+5 | Set 1.5 lines spacing
Ctrl+2 | Set double line spacing

Tools

F7 | Spell Checking of the document
Ctrl+E | Send current document as an attachment
F5 | Execute current file according to Windows associations
Alt+B | Clipboard viewer
Ctrl+H | Html export
Ctrl+W | Edit current text in Microsoft Word
Shift+Ctrl+T | Lines sorting

Miscellaneous Shortcuts

F1 | Display the Crypt Edit Help
Shift+Ctrl+D | Insert date and/or time
Shift+Ctrl+C | Insert special character
Shift+Ctrl+S | Insert signature
Shift+Ctrl+P | Insert picture
Shift+Ctrl+O | Insert embedded object
Ctrl+F1 | Larger zoom
Ctrl+F2 | Smaller zoom
Alt+R | Mark/Unmark the selection as protected (read-only)
Ctrl+D | Add current document to the bookmark list


Donations

Crypt Edit is now DonationWare! Thanks to all who have previously registered, your support is really appreciated. You can use Crypt Edit 4.1 for absolutely no charge. However, I will gladly and thankfully accept any donations, if you would like to donate. There are many expenses I incur in maintaining the Crypt Edit project that may not be apparent, such as web hosting costs, and the cost of new operating systems and hardware I have purchased specifically for testing Crypt Edit on. If you desire, you may send me donations towards my efforts on keeping the Crypt Edit project alive. I've set the base amount at US$25, but if you would like to donate more, feel free to order multiple copies of the "Crypt Edit" product.

See License for additional information about distribution and licensing.


Updates

The latest version of Crypt Edit can be found on my web site at:
http://attend.to/ps

Mirror Sites:
http://my.genie.co.uk/alnet/crypt.htm
http://cryptedit.chat.ru/


Special Thanks

Fedor Kozhevnikov
Igor Pavluk
Serge Korolev
Jordan Russell
Gerrit Wolsink
Peter Below
Markus Oberhumer
Laszlo Molnar
Vladimir Pinaev
Andrew Ulyanov
Maxim Gontcharov
Alexander Obukhov
Robert Rothon
Alexey Polikowsky
Dmitry Yerokhin
Sergei Golubitsky
Paul Kinosian
Ramon Esquivel


Crypt Edit FAQ

Crypt Edit's Spell Checker does not work. What do I need to do to enable this feature?
Download dictionaries from the Crypt Edit homepage

When I try to import my *.doc files using the pull-down Tools menu, I get this "Converter error!" message. Where do I get the converter?
Converters Pack is available at http://attend.to/ps

How do I configure the toolbars?
Right-click a toolbar, and then click "Customize".

Why can't I see icons on the buttons of the toolbar?
You need the version 4.71 or later of the Windows Common Control library (WINDOWS\SYSTEM\COMCTL32.DLL). This library is a part of Windows 98, Microsoft Internet Explorer 4.0.

"Crypt" sounds like something out of a graveyard. Is it a word processor for vampires and mummies?
The "Crypt" refers to its enhanced CRYPTography features, but monsters use word processors too :)

I haven't a credit card, is it possible to pay through mail with personal US-check?
Yes, it is possible. Let me know if you would prefer this way of donation. But mail sometimes takes awhile.

How do I use an external mail program in Crypt Edit?
On the Advanced toolbar, click the Options icon, the one with the hammer. Click the Mail tab. Then check the box for "Use the default external mail program"